LevelMatchFilter (Apache Log4j 1.2.17 API)
Date: 2012-05-06

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.log4j.varia
Class LevelMatchFilter

    java.lang.Object
      org.apache.log4j.spi.Filter
          org.apache.log4j.varia.LevelMatchFilter

All Implemented Interfaces:
  OptionHandler

    public class LevelMatchFilter

extends Filter

This is a very simple filter based on level matching.

The filter admits two options LevelToMatch and AcceptOnMatch. If there is an exact match between the value of the LevelToMatch option and the level of the `LoggingEvent`, then the `decide(org.apache.log4j.spi.LoggingEvent)` method returns `Filter.ACCEPT` in case the AcceptOnMatch option value is set to `true`, if it is `false` then `Filter.DENY` is returned. If there is no match, `Filter.NEUTRAL` is returned.

Since:
  1.2
Author:
  Ceki Gülcü

Field Summary

Fields inherited from class org.apache.log4j.spi.Filter
`ACCEPT, DENY, NEUTRAL, next`

Constructor Summary
`LevelMatchFilter()`

Method Summary
`int` | `decide(LoggingEvent event)` Return the decision of this filter.
`boolean` | `getAcceptOnMatch()`
`String` | `getLevelToMatch()`
`void` | `setAcceptOnMatch(boolean acceptOnMatch)`
`void` | `setLevelToMatch(String level)`

Methods inherited from class org.apache.log4j.spi.Filter
`activateOptions, getNext, setNext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LevelMatchFilter

    public LevelMatchFilter()

Method Detail

### setLevelToMatch

    public void setLevelToMatch(String level)

### getLevelToMatch

    public String getLevelToMatch()

### setAcceptOnMatch

    public void setAcceptOnMatch(boolean acceptOnMatch)

### getAcceptOnMatch

    public boolean getAcceptOnMatch()

### decide

    public int decide(LoggingEvent event)

  Return the decision of this filter. Returns `Filter.NEUTRAL` if the LevelToMatch option is not set or if there is not match. Otherwise, if there is a match, then the returned decision is `Filter.ACCEPT` if the AcceptOnMatch property is set to `true`. The returned decision is `Filter.DENY` if the AcceptOnMatch property is set to false.

  Specified by:
    `decide` in class `Filter`
  Parameters:
    `event` - The LoggingEvent to decide upon.
  Returns:
    decision The decision of the filter.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2012 Apache Software Foundation. All Rights Reserved.